\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - STL Extensions for CGAL

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Fourtuple< T > Class Template Reference
Utilities

`#include <CGAL/Fourtuple.h>`

## Definition

The `Fourtuple` class stores a homogeneous (same type) fourtuple of objects of type `T`.

A `Fourtuple` is much like a container, in that it "owns" its elements. It is not actually a model of container, though, because it does not support the standard methods (such as iterators) for accessing the elements of a container.

Deprecated:
  This class is deprecated, and will be removed in some future CGAL release. Please use CGAL::cpp11::array instead.

Template Parameters

  T | must be `Assignable`.

## Types
typedef T | value_type

## Variables
T | e0
| first element
T | e1
| second element
T | e2
| third element
T | e3
| fourth element

## Creation
| Fourtuple ()
| introduces a `Fourtuple` using the default constructor of the elements.
| Fourtuple (T x, T y, T z, T t)
| constructs a `Fourtuple` such that `e0` is constructed from `x`, `e1` from `y`, `e2` from `z` and `e3` from `t`.